Subject: bug#39351: One failed self test on CentOS 5

From: Assaf Gordon <[email-masked]>
Date: Thu, 30 Jan 2020 02:10:24 -0700

On 2020-01-30 1:55 a.m., Jeffrey Walton wrote:
> On Thu, Jan 30, 2020 at 2:25 AM Assaf Gordon <[email-masked]> wrote:
>> On 2020-01-29 6:21 p.m., Jeffrey Walton wrote:
>>>       FAIL: test-strverscmp
>>>       =====================
>>>       test-strverscmp.c:52: assertion 'strverscmp (a, c) < 0' failed
>>
>> sed uses the strverscmp() function only in one rarely used GNU extension
>> (the "v" command) and it is extremely unlikely to affect any real-world
>> scenarios of using sed.
>>
>> GNU sed itself did not fail any tests on your system, and it is OK to
>> use it.
>>
> 
> Can you confirm Sed is using the latest Gnulib as of Sed's release
> date? I.e., https://www.gnu.org/software/gnulib/manual/html_node/Simple-update.html
> .
> 
> I want to ensure I am not chasing something that's already been fixed.

In sed's commit log you can see sed 4.8 was released on 14-Jan-2020,
and the last gnulib updated was on 11-Jan-2020 :
https://git.savannah.gnu.org/cgit/sed.git/log/

sed's gnulib was updated to commit
https://git.savannah.gnu.org/cgit/gnulib.git/commit/?id=6b9d15b8bcb3c009374ccb21dc2c2be2333133d 
.

So it is up-to-date, and there have been no "strverscmp" related
changes since then.